/*
 * @(#)CooperationClient.java
 *
 * Copyright (C) 2006 Infocity Inc. All Rights Reserved.
 */
package info.dragonlady.system.service;

import java.rmi.RemoteException;

import javax.xml.rpc.ServiceException;

/**
 * 連携システムサービスクライアント。
 * 
 * @author Hiroshi.Ebata(INFOCITY)
 * @version $Revision: 1.0 $ $Date: 2006/09/08 16:16:19 $
 */
public class CooperationClient {

	private Cooperation_PortType service = null;

	/**
	 * コンストラクタ。
	 */
	public CooperationClient() {
		super();
	}

	/**
	 * コンストラクタ。
	 * 
	 * @param serviceAddress サービスアドレス
	 */
	public CooperationClient(String serviceAddress) throws ServiceException {
		super();
		setServiceAddress(serviceAddress);
	}

	/**
	 * サービスアドレス設定。
	 * 
	 * @param serviceAddress サービスアドレス
	 */
	public void setServiceAddress(String serviceAddress) throws ServiceException {
		CooperationServiceLocator locator = new CooperationServiceLocator();
		locator.setCooperationEndpointAddress(serviceAddress);
		service = locator.getCooperation();
	}

	/**
	 * ログイン中のサーバからアーティファクトを取得する。
	 * 
	 * @param id 認証ID
	 * @return アーティファクト文字列
	 * @throws RemoteException
	 */
	public String getArtifact(String id) throws RemoteException {
		return service.getArtifact(id);
	}

}
